﻿Public Class Card
    Private Shared idCounter As Integer = 1
    Private id As Integer
    Private boxId As PictureBox
    Private cardImage As Image
    Private card As (suit As String, number As String)
    Private cardLocation As Point
    Private cardHidden As Boolean
    Private size As Size

    Public Sub New(name As (String, String), Optional hidden As Boolean = False)
        id = idCounter
        idCounter += 1
        boxId = New PictureBox()
        card = name
        cardHidden = hidden
        cardImage = Utilities.GetCardImage(name, hidden)
        size = New Size(125,175)
    End Sub

    Public Sub SetLocation(location As point)
        cardLocation = location
    End Sub

    Public Sub SetName(name As (String, String))
        card = name
    End Sub

    Public Sub SetHidden(hidden As Boolean)
        cardHidden = hidden
    End Sub

    Public Function GetId()
        Return id
    End Function

    Public Function GetBoxId()
        Return boxId
    End Function

    Public Function GetName()
        Return card
    End Function

    Public Function GetSuit() As String
        Return card.suit
    End Function

    Public Function GetNumber() As String
        Return card.number
    End Function
    Public Function GetLocation()
        Return cardLocation
    End Function

    Public Function IsHidden()
        Return cardHidden
    End Function
End Class